Name:		briquolo
Version:	0.5.7
Release:	%mkrel 18
Summary:	An OpenGL breakout game
Source0:	http://briquolo.free.fr/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.6-desktop-install.patch
Patch1:		%{name}-0.5.5-desktop-remove-double-category.patch
Patch2:		briquolo-0.5.7-gcc43.patch
Patch3:		briquolo-0.5.6-fix-icon-install.patch
Patch4:		briquolo-0.5.7-libpng14.patch
Patch5:		briquolo-0.5.7-automake-1.13.patch
Patch6:		briquolo-0.5.7-mga-operator-const.patch
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(libpng)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	dos2unix
Requires:	fonts-ttf-dejavu
Group:		Games/Arcade
License:	GPLv2+
URL:		http://briquolo.free.fr/

%description
Briquolo is a 3D brick game using OpenGL

%prep
%setup -q
dos2unix data/tableau/old/{001,002,003,006}.tab
%patch -P 0 -p1 -b .desktop
%patch -P 1 -p1 -b .remove_category
%patch -P 2 -p0 -b .gcc
%patch -P 3 -p0 -b .icon
%patch -P 4 -p0 -b .libpng
%patch -P 5 -p1 -b .automake-1_13
%patch -P 6 -p1

%build
autoreconf -fi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

#this empty file makes rpmlint shouting otherwise...
echo %{version} > %{buildroot}%{_gamesdatadir}/%{name}/%{version}

mv %buildroot%_gamesdatadir/locale %buildroot%_datadir
mv %buildroot%_gamesdatadir/pixmaps %buildroot%_datadir

# Use packaged font rather than internal font 
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/data/DejaVuSans.ttf

%find_lang %{name}

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

desktop-file-install --vendor="" --delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_gamesdatadir}/applications/*

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS ChangeLog README.fr
%attr(0755,root,games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/briquolo.desktop
%{_datadir}/pixmaps/briquolo.svg


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.5.7-18.mga10
+ Revision: 2231519
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 0.5.7-17.mga10
+ Revision: 2127136
- Rebuild for patchN deprecation

* Wed Jul 20 2022 umeabot <umeabot> 0.5.7-16.mga9
+ Revision: 1869508
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.7-15.mga8
+ Revision: 1510779
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 0.5.7-14.mga7
+ Revision: 1295678
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.5.7-13.mga6
+ Revision: 939451
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.7-12.mga5
+ Revision: 750501
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.7-11.mga5
+ Revision: 678221
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.7-10.mga4
+ Revision: 534662
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 barjac <barjac> 0.5.7-9.mga4
+ Revision: 478527
- removed DejaVu license
- removed un-needed rm

* Mon Jun 03 2013 fwang <fwang> 0.5.7-8.mga4
+ Revision: 435787
- rebuild for new libpng

* Thu Mar 14 2013 barjac <barjac> 0.5.7-7.mga3
+ Revision: 403219
- use font package rather than internal font

* Fri Jan 11 2013 umeabot <umeabot> 0.5.7-6.mga3
+ Revision: 347181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 0.5.7-5.mga3
+ Revision: 336302
- patch5: fix build with automake 1.13

* Tue Sep 13 2011 fwang <fwang> 0.5.7-4.mga2
+ Revision: 142956
- fix build with newer libpng
- rebuild for new libpng
+ stormi <stormi>
- remove mesaglut BR
- clean spec file

* Wed Jan 26 2011 stormi <stormi> 0.5.7-3.mga1
+ Revision: 41510
- remove mandriva specific stuff
- imported package briquolo


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.7-2mdv2011.0
+ Revision: 616861
- the mass rebuild of 2010.0 packages

* Thu May 14 2009 Samuel Verschelde <stormi@mandriva.org> 0.5.7-1mdv2010.0
+ Revision: 375708
- add missing buildrequires
- new version 0.5.7
- fix Licence

* Sun Apr 05 2009 Funda Wang <fwang@mandriva.org> 0.5.6-4mdv2009.1
+ Revision: 364171
- fix desktop file icon patch
- fix icon install
- clean spec
- add gcc 43 patch from gentoo

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Apr 25 2007 Guillaume Bedot <littletux@mandriva.org> 0.5.6-2mdv2008.0
+ Revision: 18268
- bump release
- Fix Buildrequires
- New release 0.5.6
- updated patch0
- Import briquolo



* Sun Aug 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.5-2mdv2007.0
- fix summary macro in menu
- fix xdg menu
- compile with %%{optflags}
- run automake to actually make use of P0
- update P1 to also fix breakage of icon
- move binary to %%{_gamesbindir}
- don't use major in buildrequires
- don't bzip2 icons
- cosmetics

* Fri Feb 17 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.5-1mdk
- 0.5.5
- Patch 0: Fix installation of the desktop file
- use mkrel

* Thu Mar 03 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.5.2-2mdk
- Don't delete "witness file" but make it non-empty to make rpmlint happy.

* Wed Mar 02 2005 Guillaume Bedot <guillaume.bedot@cegetel.net> 0.5.2-1mdk
- First Mandrakelinux package.
